
	$( document ).ready(function() {

	// ----------------- LOADING CIRCLE SIZE ADN LOGO ------------------------
	var deviceHeight = $('body').height();
	var h1 = $('#loading-logo').height();
	var h2 = $('.spinner').height();
	
	h1 = ( deviceHeight - h1) / 2;
	h2 = ( h1 - h2 ) * 0.95;
	
	$('.spinner').css({'top' : h2});
	$('#loading-logo').css({'top' : h1});
	$('#loading').css({'display' : 'block'});	
	// --------------------------------------------------------------------------
	// ------------------- CALCULATE MOVE UP FOR MORE WEATHER INFO --------------------------
	moreInfoHeight = $('#more-weather-info ul').height();
	$('#more-weather-info').css('display','none');
	if( deviceHeight > moreInfoHeight ) {
		moreInfoHeight = deviceHeight;
	} 

	$('#more-weather-info').css({
	  '-webkit-transform' : 'translate(0, -' + moreInfoHeight + 'px)',
	  '-moz-transform'    : 'translate(0, -' + moreInfoHeight + 'px)',
	  '-ms-transform'     : 'translate(0, -' + moreInfoHeight + 'px)',
	  '-o-transform'      : 'translate(0, -' + moreInfoHeight + 'px)',
	  'transform'         : 'translate(0, -' + moreInfoHeight + 'px)'
	});
	$('#more-weather-info').css('display','block');
	// ---------------------------------------------------------------------------------
	// ------------------------ HEADER LOCATION BOX SIZE ------------------------
	var deviceWidth = $('body').width();

	locationWidth = deviceWidth - 150;
	console.log(deviceWidth);
	
	$('#main-header .location').css({'width' : locationWidth});
	$('#more-weather-info .header .location').css({'width' : locationWidth});
	// --------------------------------------------------------------------------------
	// --------------------------- CLOTHES IMAGE SIZE ---------------------------------	
	var onePercent = deviceHeight / 100;
	var clothesTop = 2 * onePercent + 170;
	var clothesSize = deviceHeight - 170 - (3 * onePercent);

	$('#clothes, #clothes div').css('height',clothesSize);
	$('#clothes').css('top',clothesTop);
		console.log(clothesSize);
	// -----------------------------------------------------------------------------------
	// ------------------------	GOOGLE ANALYTICS HANDLER FUNCITONS -------------------------
	function nativePluginResultHandler (result) {
		console.log('nativePluginResultHandler: '+result);
	}

	function nativePluginErrorHandler (error) {	
		console.log('nativePluginErrorHandler: '+error);
	}

	// -------------------------------------------------------------------------------------
	// --------------------------------- NAVIGATION --------------------------------------
	var height = deviceHeight - 61;
	
     $("#settings").click(function()
     {		
         goTo('settings-navigation');
         $('#onboarding').css({'display':'none'});
         $('#onboarding-settings').css('display','none');
		 
		 var contentHeight = $('#settings-navigation ul').height();
		 if( contentHeight > height) {
			$('#settings-navigation-header').addClass('header-shadow');
		 }	else {
			$('#settings-navigation-header').removeClass('header-shadow');
		 }	
		
		gaPlugin.trackEvent( nativePluginResultHandler, nativePluginErrorHandler, "nastavenia", "zobraz nastavenia", "klik na ikonu nastaveni", 1);
         return false;
     });           
	 
	 $(".main-temp").click(function()
     {
         goTo('main-temp');
		 
		 var contentHeight = $('#main-temp ul').height();
		 if( contentHeight > height) {
			$('#main-temp-header').addClass('header-shadow');
		 }	else {
			$('#main-temp-header').removeClass('header-shadow');
		 }			 
	
         return false;
     });	 
	 
	 $(".units").click(function()
     {
         goTo('units');
		 
		 var contentHeight = $('#units ul').height();
		 if( contentHeight > height) {
			$('#units-header').addClass('header-shadow');
		 }	else {
			$('#units-header').removeClass('header-shadow');
		 }	
		 
         return false;
     });	
	 
	 $(".gender").click(function()
     {
         goTo('gender');
		 
		 var contentHeight = $('#gender ul').height();
		 if( contentHeight > height) {
			$('#gender-header').addClass('header-shadow');
		 }	else {
			$('#gender-header').removeClass('header-shadow');
		 }	
		 
         return false;
     });	
	 
	 $(".sensitivity").click(function()
     {
         goTo('sensitivity');
		 
		 var contentHeight = $('#sensitivity ul').height();
		 if( contentHeight > height) {
			$('#sensitivity-header').addClass('header-shadow');
		 }	else {
			$('#sensitivity-header').removeClass('header-shadow');
		 }
		 
         return false;
     });	
	 
	 $(".about, .cloud-icon").click(function()
     {
         goTo('about');
		 
		 var contentHeight = $('#about .content').height();
		 if( contentHeight > height) {
			$('#about-header').addClass('header-shadow');
		 }	else {
			$('#about-header').removeClass('header-shadow');
		 }
		 
         return false;
     });	
	 
	 $(".dress-code").click(function()
     {
         goTo('dress-code');
		 
		 var contentHeight = $('#dress-code ul').height();
		 if( contentHeight > height) {
			$('#dress-code-header').addClass('header-shadow');
		 }	else {
			$('#dress-code-header').removeClass('header-shadow');
		 }
		 
         return false;
     }); 	 
	 
	 $(".language").click(function()
     {
         goTo('language');
		 
		 var contentHeight = $('#language ul').height();
		 if( contentHeight > height) {
			$('#language-header').addClass('header-shadow');
		 }	else {
			$('#language-header').removeClass('header-shadow');
		 }
		 
         return false;
     }); 		 
	 	 
	 
	 $("#back, #settings-navigation-header, #main-temp-header, #units-header, #gender-header, #sensitivity-header, #about-header, #dress-code-header, #language-header").click(function()
     {
         onBackKey();
         return false;
     }); 

	// -----------------------------------------------------------------------------------	
	// ------------------------- ONBOARDING NAVIGATION ---------------------------

	$("#onboarding").owlCarousel({

		slideSpeed : 300,
		paginationSpeed : 400,
		singleItem : true

	});	
	

	
	$("#onboarding .navigation").click(function(){
		$("#onboarding").trigger('owl.goTo',1);
	});

	$("#onboarding .go-to-wearty").click(function()
     {
		 $('#main, #weather-icon, #weather-temp, #main-header').css({'opacity' : 1});
         $('#onboarding').css({'display':'none'});

		 localStorage.setItem('onboarding',false);
         setSettings(localStorage.getItem('language'), localStorage.getItem('online'));
         return false;
     }); 	
	
	// -----------------------------------------------------------------------------------	
	// -------------------------- MORE WEATHER INFO --------------------------------
	$('#weather-icon').click(function() {
		goTo('more-weather-info');
		$('#onboarding-settings').css('display','none');
		$('#onboarding').css({'display':'none'});
		gaPlugin.trackEvent( nativePluginResultHandler, nativePluginErrorHandler, "viac informacii o pocasi", "zobraz", "klik na ikonu", 1);
	});			

	$('#weather-temp').click(function() {
		goTo('more-weather-info');
		$('#onboarding-settings').css('display','none');
		$('#onboarding').css({'display':'none'});
		gaPlugin.trackEvent( nativePluginResultHandler, nativePluginErrorHandler, "viac informacii o pocasi", "zobraz", "klik na teplotu", 1);
	});		 

	// ----------------------------------------------------------------------------------------
	// ------------------------------------- SHOW FAQ  ------------------------------------
	$('.faq div').click(function(){
		console.log('faq');
		gaPlugin.trackEvent( nativePluginResultHandler, nativePluginErrorHandler, "faq", "zobraz", "klik na link faq", 1);
	});

	// ------------------------------------------------------------------------------------------
	// ------------------ TOGGLE MENU WITH BACK-BUTTON FUNCTION --------------------
	var cur = 'home';
	document.addEventListener("backbutton", onBackKey, false);	

	function onBackKey() {

		if( cur == 'settings' ){

			// $('#settings-navigation').fadeOut(400);	
			$('#settings-navigation').removeClass('active');	
			$('#settings-navigation-header').removeClass('active');	
			setTimeout(function(){
				$('#settings-navigation').scrollTop(0);
			},300);
			
			cur = 'home';

			var sensitivity1, sensitivity2;

			sensitivity1 = localStorage.getItem('sensitivity');
			sensitivity2 = $( 'input[name="sensitivity"]' ).val();


			if( sensitivity1 != sensitivity2 ) 
			{	
				saveSettings(); 
		 		init();
			}


		} else if ( cur == 'more-weather-info') {

			$('#settings, #share').addClass('active');
			$('#refresh, #back').removeClass('active');
			$('#more-weather-info').removeClass("active");
			$('#more-weather-info').css("opacity","1");
			$('#main-header').removeClass('header-shadow');
			// $('#more-weather-info').scrollTop(0);
			cur = 'home';
		
		} else if( cur == 'home' ) {

			// document.removeEventListener("backbutton", onBackKey, false);
		 	var i;
		 	i = parseInt(localStorage.getItem('languageCode'));

			function onConfirm(buttonIndex) {

				if(buttonIndex == 1){
					navigator.app.exitApp();
				} 
				
			};

			navigator.notification.confirm(
				languages.language[i].exit.message, 
				onConfirm,           
				languages.language[i].exit.title,
				[languages.language[i].exit.yes, languages.language[i].exit.no]  
			);


		} else {
			
			$('#' + cur).removeClass('active');
			$('#' + cur + '-header').removeClass('active');
			
			cur = 'settings';
			
		}
		
	}
	 
	function goTo(id) {

		document.addEventListener("backbutton", onBackKey, false);

		if( id == 'settings-navigation' ) {
		
			$('#settings-navigation').addClass('active');
			$('#settings-navigation-header').addClass('active');
			cur = 'settings';		
			
		} else if ( id == 'more-weather-info' ) {
	
			$('#settings, #share').removeClass('active');
			$('#refresh, #back').addClass('active');
			$('#more-weather-info').addClass("active");
			var bodyHeight = $('body').height();
			var moreInfoHeight = $('#more-weather-info ul').height() + 60;

			if(moreInfoHeight >= bodyHeight) {
				$('#main-header').addClass('header-shadow');
			}

			cur = id;
			
			
		} else {
		
			$('#' + id).addClass('active');
			$('#' + id + '-header').addClass('active');
			cur = id;
			
		}

		
	} 

	 // ----------------------------------------------------------------- ---------------
	// ------------------------------ REFRESH POSITION ------------------------------
	 $('#refresh').click(function()
	 {
		getPosition();
		$('#refresh').addClass('spin');
		
	}); 
	
	// ----------------------------------------------------------------------------------

	// ---------------------- SENSITIVITY PICTURE NAVIGATION ----------------------------
	$('.t-shirt').click(function(){
		$('input[name=sensitivity]').val(-10);
	});

	$('.shirt').click(function(){
		$('input[name=sensitivity]').val(0);
	});

	$('.jacket').click(function(){
		$('input[name=sensitivity]').val(10);
	});
	// -----------------------------------------------------------------------------------

	// ----------------------------------------------------------------------------------
	// -------------------------- SAVE SETTINGS AFTER CLICK ON INPUT --------------------
	 $('input').click(function()
	{
		 saveSettings(); 
		 init();
	}); 
	// ----------------------------------------------------------------------------------


	// ----------------------------------------------------------------------------------


	// ----------------------------------------------------------------------------------	
	

				//        localStorage.clear(); 
			 //  setSettings('sk-SK',true);
			 // saveSettings(); 
		// getPosition(); 
		//getIpPosition();
	
		  
	});  


	
		
	
	document.addEventListener("online", onOnline, false);
		

	//alert('tu');
	function onOnline() {
		
		
		document.removeEventListener("online", onOnline, false);
		document.addEventListener("offline", onOffline, false);



		//alert('ononline');		

		navigator.globalization.getLocaleName(
			function (locale) {
				//alert(locale.value);
				/* localStorage.clear(); */
				setSettings(locale.value,true);
				saveSettings(); 
				// getPosition();
			},
			function () {
				//alert('globalization Error');
				var lang = 'en-US';
				setSettings(lang,true);
				saveSettings(); 
				// getPosition();
			}
		); 

		
	}	

	
	document.addEventListener("offline", onOffline, false);
	
	function onOffline() {
		
		document.removeEventListener("offline", onOffline, false);
		document.addEventListener("online", onOnline, false);	
		var i, lang;
			


		navigator.globalization.getLocaleName(
			function (locale) {
				//alert('offline globalization succes');
				//localStorage.clear();
				setSettings(locale.value,false);
				saveSettings(); 
				},
			function () {
				//alert('offiline globalization Error');
				var lang = 'en-US';
				setSettings(lang,false);
				saveSettings(); 
			}
		); 
			
			
	//alert('on offline');		
			//document.removeEventListener("backbutton", onBackKey, false);
			$('#main').css('display','none');
			$('#weather-icon, #weather-temp').css('display','none');
			$('#settings-navigation-header, #settings-navigation,#main-temp-header, #main-temp, #units-header, #units, #about-header, #about, #gender-header, #gender, #sensitivity-header, #sensitivity, #dress-code-header, #dress-code, #language-header, #language').removeClass('active');
			$('#loading').css('display','block');	    
			$('#main-header').css('display','none');	  
			$('#onboarding-settings').css('display','none');
			$('#more-weather-info').removeClass("active");
			$('#more-weather-info').css("opacity","1");
			lang = $( 'input[name="language"]:checked' ).val(); 
			
			i = parseInt(localStorage.getItem('languageCode'));

			navigator.notification.alert(
				languages.language[i].errors.internetMessage,  
				alertDismissed,         
				languages.language[i].errors.internetTitle,            
				'OK'                  
			);

			
		
		
	}
	
	function alertDismissed() {
        //document.removeEventListener("offline", onOffline, false);
    }




	// ------------------------------ GEO LOCATION ---------------------------------	  
	function getPosition() {

	var options;

		options={enableHighAccuracy: true, maximumAge: 999999, timeout: 5000};

	
		if (navigator.geolocation) 
		 { 
			//console.log('dostal som sa k navigatoru geolog');
			navigator.geolocation.getCurrentPosition(function(position){
			console.log('----------------> geo');
				var source = localStorage.getItem('source');
				//url = 'http://api.openweathermap.org/data/2.5/weather?lat='+position.coords.latitude+'&lon='+position.coords.longitude+'&units=metric&APPID=048924fd67f447135abe153a663301dc';	 
				var url = source + '&lat=' + position.coords.latitude+'&lon=' + position.coords.longitude;  
//console.log(url);
				$.ajax({
				  url: url,
				  // dataType: 'jsonp',
				  success: function(data){
				    console.log('----------------> geo success');
				    console.log(data);
					localStorage.removeItem('weather');
					localStorage.setItem('weather',JSON.stringify(data));
					console.log(localStorage);
					init(); 


					$.ajax({
					  url: 'http://api.wearty.com/getsource.php?key=5hYD79sfhGAj4NF',
					  success: function(data){
					    if(data['error'] != 'false' && data['source']){
							localStorage.setItem('source',data['source']);
						}
					  },
					});	
					
				  },
				  error: function(){

					$.ajax({
					  // url: 'http://api.wearty.com/getsource.php?key=5hYD79sfhGAj4NF&error=true&source='+source,
					  url: 'http://api.wearty.com/getsource.php?key=5hYD79sfhGAj4NF&source=' + localStorage.getItem('source') + '&error=true',
					  success: function(data){
					    if(data['error'] != 'false' && data['source']){
							localStorage.setItem('source',data['source']);
						}
					  },
					});	
					getWeatherError();

				  },
				});			
				
			}, error, options);
		 } 
		 else 
		 { 
			getIpPosition();
			//alert("Geolocation is not supported by this browser.");
		 }
		 
	}

	function error() {
		getIpPosition();
	};	

		
	// -----------------------------------------------------------------------------
	// --------------------- GET GEO LOCATION BY IP --------------------------
	function getIpPosition(){
	
		
		
		
		$.ajax({
		  url: 'http://ipinfo.io/loc',
		  dataType: 'text',
		  success: function(data){		
		
		
					var loc = data.split(',');
					var longitude = loc[1];
					var latitude = loc[0];
		console.log('----------------> ip');
					//url = 'http://api.openweathermap.org/data/2.5/weather?lat='+latitude+'&lon='+longitude+'&units=metric&APPID=048924fd67f447135abe153a663301dc';	 
					var source = localStorage.getItem('source');
					var url = source + '&lat=' + latitude+'&lon=' + longitude;  
						 
					$.ajax({
					  url: url,
					  // dataType: 'jsonp',
					  success: function(data){
					  
						localStorage.removeItem('weather');
						console.log(data);
						localStorage.setItem('weather',JSON.stringify(data));
						console.log(localStorage);
						init(); 
						
						i = parseInt(localStorage.getItem('languageCode'));

						navigator.notification.alert(
							languages.language[i].errors.geoSuggesMessage,  
							alertDismissed,         
							languages.language[i].errors.geoSuggesTitle,            
							'OK'                  
						);

						$.ajax({
						  url: 'http://api.wearty.com/getsource.php?key=5hYD79sfhGAj4NF',
						  success: function(data){
						    if(data['error'] != 'false' && data['source']){
								localStorage.setItem('source',data['source']);
							}
						  },
						});	
						
					  },
					  error: function(){
					  	
						getWeatherError();

						$.ajax({
						  url: 'http://api.wearty.com/getsource.php?key=5hYD79sfhGAj4NF&source=' + localStorage.getItem('source') + '&error=true',
						  success: function(data){
						    if(data['error'] != 'false' && data['source']){
								localStorage.setItem('source',data['source']);
							}
						  },
						});	


					  }

					});	
					
			 }, 
			 error: function(){
						getPositionError();
						
			 		}
			});
	



		
		
	}

	// ---------------------------------------------------------------------
	// ------------------------ GET POSITION ERROR ------------------------

		function getPositionError(){

			var i = parseInt(localStorage.getItem('languageCode'));

			function onConfirm() {
				setTimeout(function(){
					getPosition();
				},5000);
				
			};

			navigator.notification.confirm(
				languages.language[i].errors.geoMessage, 
				onConfirm,           
				languages.language[i].errors.geoTitle,
				['OK']  
			);

		};

	// --------------------------------------------------------------------
	// --------------------- GET WEATHER ERROR  ---------------------------	
	

		function getWeatherError(){

			var i = parseInt(localStorage.getItem('languageCode'));

			function onConfirm() {
				setTimeout(function(){
					getPosition();
				},5000);
				
			};

			navigator.notification.confirm(
				languages.language[i].errors.weatherMessage, 
				onConfirm,           
				languages.language[i].errors.weatherTitle,
				['OK']  
			);

		};



	// ------------------------------------------------------------------------
	// --------------------- GET WIND CHILL TEMP -------------------------

	function getWindChill(wind, temp, units) {

		realTempC = Math.round(temp);
		realTempF = Math.round(temp * 1.8 + 32);
		wind = wind * 2.2369362920544025;
		temp = temp * 1.8 + 32;
		var wind2 = Math.pow(wind, 0.16);
		var wind_chill = (35.54 + 0.6215 * temp - 35.75 * wind2 + 0.4275 * temp * wind2);
		wind_chill = parseFloat(wind_chill.toFixed(2));
		wind_chill = (wind <= 2.3) ? temp : wind_chill;
		if( units == 'c' ){
			wind_chill = Math.round((wind_chill - 32) / 1.8);
		} else {
			wind_chill = Math.round(wind_chill);
		}
		
		return wind_chill;
	}	

	// ------------------------------------------------------------------------
	// ----------------------------- GET WIND ---------------------------------

	function getWind(wind, units) {

		if(units == 'mph'){
			wind = Math.round(wind * 2.2369362920544025 * 10) / 10;
		} else {
			wind = Math.round(wind * 3.6 * 10) / 10;
		}

		return wind;
	}	

	// ------------------------------------------------------------------------------------
	// ---------------------------------------- INIT  -------------------------------------
	function init() {
	
		var weather, data, lang, gender, units, sensitivity, positon, feelTemp, mainTemp, dressCodeTrans, i, bodyHeight, moreInfoHeight, icon, infoIcon, shareUnits, time1, time2, sourceCode;
		var icons = ["01d", "01n", "02d", "02n", "50d", "50n"];
		var dressCodeUndef = 0;
		var dressCodes = new Array();
		var dressCode = new Array();
		var genders = new Array();
		var time1arr = new Array();
		var time2arr = new Array();
		var deviceWidth = $('body').width();

		
		//ADD REFRESH ICON TO MORE WEATHER INFO
		setTimeout(function() {
			$("#refresh").removeClass('spin');
		},1000);
		//---------------------------------------------------
		
		
		weather = localStorage.getItem('weather');
		data = JSON.parse(weather);
		console.log(data);
		lang = $( 'input[name="language"]:checked' ).val(); 
		
		$("input:checkbox[name=dress-code]:checked").each(function()
		{
			dressCode.push($(this).val());
		});
		
		//DUPLICATE DRESS-CODES FOR BETTER SHUFFLE
		for ( var i = 0; i < 5; i++ ) {
				$("input:checkbox[name=dress-code]:checked").each(function()
				{
					dressCodes.push($(this).val());
				});
		}
		
		gender = $( 'input[name="gender"]:checked' ).val(); 
		units = $( 'input[name="units"]:checked' ).val(); 
		mainTemp = $( 'input[name="main-temp"]:checked' ).val(); 
		sensitivity = $( 'input[name="sensitivity"]' ).val();
		position = data['name']; 

console.log('sensitivity: '+sensitivity);
		//console.log( moment.unix(1410754552).format('H:mm'));

		//alert('init');
		


		// Add new property to javascript array object
		Array.prototype.shuffle = function() {
			for (var j, x, i = this.length; i; j = parseInt(Math.random() * i), x = this[--i], this[i] = this[j], this[j] = x);
			return this;
		};
		//SHUFFLE DRESS-CODES
		if(dressCodes.length === 0){
			dressCodes = new Array("elegant", "casual","sporty", "elegant", "casual","sporty", "elegant", "casual","sporty", "elegant", "casual","sporty");
			dressCodeUndef = 1;
		}
		dressCodes = dressCodes.shuffle();

		
		//DETECT SELECTED LANGUAGE
		i = parseInt(localStorage.getItem('languageCode'));
		//alert('init langCode '+i);


		// DEFINE ICONS
		icon = data['weather'][0]['icon'];

		if (data['weather'][0]['id'] == '802') {
			icon = icon.replace("3", "2");
		}

		if(jQuery.inArray(icon ,icons) == -1){
		    infoIcon = icon.substr(0, 2); 
		}else{
			infoIcon = icon;
		}
		
		//MAIN 
		temp = Math.round(data['main']['temp']);
		feelTemp = getWindChill(data['wind']['speed'], data['main']['temp'], 'c');
console.log('temp: '+ temp);
		//define main temp
		if( mainTemp == 'real' ){
			mytemp = parseInt(temp) + parseInt(sensitivity * -1);
		} else {
			mytemp = parseInt(feelTemp) + parseInt(sensitivity -1);
		}
console.log('temp+sensitivity: '+mytemp);
		//define clothes folder
		if( mytemp < -3 ){
			tempclothes = 6;
		} else if( mytemp <= 4){
			tempclothes = 5;
		} else if( mytemp <= 12){
			tempclothes = 4;
		} else if( mytemp <= 18){
			tempclothes = 3;
		} else if( mytemp <= 25){
			tempclothes = 2;
		} else {
			tempclothes = 1;
		}	

console.log('tempdir: '+ tempclothes);		
		//define temp units  
		if( units == 'fahrenheit' ) {		
			temp = Math.round(data['main']['temp'] * 1.8 + 32);		
			feelTemp = getWindChill(data['wind']['speed'], data['main']['temp'], 'f');	
			shareUnits = 'f';		
		}else{
			shareUnits = 'c';
		} 			  
		
		$('#weather-icon').html('<img src="images/icons/' + icon + '.svg" onerror="this.onerror=null; this.src=\'images/icons/'+ icon +'.png\'" alt="'+ data['weather'][0]['description'] +'" />');
		$('#weather-temp').html( ((mainTemp == 'real') ? temp : feelTemp) + '&deg;');
		

		//define gender
		if(gender !='undefined')
		{
			genders.push(gender);
		} 
		else
		{
			//DUPLICATE GENDERS FOR BETTER SHUFFLE
			for ( var j = 0; j < 7; j++ ) {
				genders.push('female');
				genders.push('male');
			}
			genders = genders.shuffle();
		}

		//define image	
		if(tempclothes == 6 || tempclothes == 5){
			img = Math.floor((Math.random() * 5) + 1);
		} else {
			img = Math.floor((Math.random() * 3) + 1);
		}

		console.log('tempdir/img: '+tempclothes+'/'+img);	
		
		$('#clothes div').html( '<img class="img-responsive img-clothes" src="http://www.wearty.com/images/clothes/1-0-0/'+ genders[0] +'/'+ tempclothes +'/'+ dressCodes[0] +'/'+ img +'.jpg"  alt="wearty.com - '+ data['weather'][0]['description'] +'" />');
		$('#loading').css('display','none');	  
		// $('#clothes').css('display','table');	  		
		$('#main').css('display','block');	  		
		$('#weather-temp, #weather-icon').css('display','block');	  		
		$('#main-header').css('display','block');	  
		$('#main-header .location').html(position);	

		//SHARE LINK
		if( lang == 'slovak' || lang == 'czech')
		{
			$('#share').attr("onclick","window.plugins.socialsharing.share(null, null, null, 'http://www.wearty.com/sk/oblecenie-podla-pocasia?v=1&l="+ position.replace(' ','+') +"&t="+ ((mainTemp == 'real') ? temp : feelTemp) +"&u="+ shareUnits +"&i="+ icon +"&tc="+ tempclothes +"&s="+ dressCodes[0] +"&c="+ img +"&g="+ genders[0] +"&d=2')");
		}
		else if( lang == 'french')
		{
			$('#share').attr("onclick","window.plugins.socialsharing.share(null, null, null, 'http://www.wearty.com/fr/vetements-d-apres-la-meteo?v=1&l="+ position.replace(' ','+') +"&t="+ ((mainTemp == 'real') ? temp : feelTemp) +"&u="+ shareUnits +"&i="+ icon +"&tc="+ tempclothes +"&s="+ dressCodes[0] +"&c="+ img +"&g="+ genders[0] +"&d=2')");
		} 
		else
		{
			$('#share').attr("onclick","window.plugins.socialsharing.share(null, null, null, 'http://www.wearty.com/en/clothes-by-weather?v=1&l="+ position.replace(' ','+') +"&t="+ ((mainTemp == 'real') ? temp : feelTemp) +"&u="+ shareUnits +"&i="+ icon +"&tc="+ tempclothes +"&s="+ dressCodes[0] +"&c="+ img +"&g="+ genders[0] +"&d=2')");
		}
		 
		//console.log('http://d.websupport.sk/wearty.com/sk/oblecenie-podla-pocasia?v=1&l='+ position.replace(' ','+') +'&t='+ ((mainTemp == 'real') ? temp : feelTemp) +'&u='+ shareUnits +'&i='+ icon +'&tc='+ tempclothes +'&s='+ dressCodes[0] +'&c='+ img +'&g='+ gender +'&d=2');


		// SHOW SETTINGS SUGESTION
		if(localStorage.getItem('onboardingSettings') == 'true'){	

			$('#onboarding-settings').html(languages.language[i].onboarding.settings);
			setTimeout(function(){
				 $('#onboarding-settings').fadeIn();
				 localStorage.setItem('onboardingSettings',false);
			},1500);
			
		}	


//alert(sourceCode);
		//MORE WEATHER INFO
		sourceCode = data['source_code'];
		if(sourceCode) {
			$('.description').css('display','none');
		} else {
			$('.description  i').addClass("icon-" + infoIcon);
			$('.description div').html(languages.language[i].weatherInfo.description[data['weather'][0]['id']]);
			$('.description').css('display','list-item');
		}
		

		var divWidth = $('.description div').width();
		var newWidth = deviceWidth - 36 - 32 - 8;	
		if( newWidth < divWidth) {
			$('.description div').addClass('in-table');
			$('.description div').css({'width':newWidth});
		}

		if(data['weather'][0]['id'] < 532){
			$('.umbrella div').html(languages.language[i].weatherInfo.umbrella);

			var divWidth = $('.umbrella div').width();
			var newWidth = deviceWidth - 36 - 32 - 8;	
			if( newWidth < divWidth) {
				$('.umbrella div').addClass('in-table');
				$('.umbrella div').css({'width':newWidth});
			}

		}else{
			$('.umbrella').css('display','none');
		}
		$('.temp1 div').html(languages.language[i].weatherInfo.temp);
		$('.temp2 div').html(languages.language[i].weatherInfo.feels);
		if(units == 'fahrenheit'){
			$('.temp1 .value').html(temp);
			$('.temp1 .units1').html('&deg;F');
			$('.temp2 .value').html(feelTemp);
			$('.temp2 .units1').html('&deg;F');
		} else {
			$('.temp1 .value').html(temp);
			$('.temp1 .units1').html('&deg;C');
			$('.temp2 .value').html(feelTemp);
			$('.temp2 .units1').html('&deg;C');
		}
		$('.clouds div').html(languages.language[i].weatherInfo.clouds);
		$('.clouds .value').html(data['clouds']['all']);		
		$('.clouds .units1').html(' %');	

		$('.wind div').html(languages.language[i].weatherInfo.wind);
		if(units == 'fahrenheit'){
			$('.wind .value').html(getWind(data['wind']['speed'],'mph') );
			$('.wind .units1').html(' ' + languages.language[i].weatherInfo.windUnits.usa);
		} else {
			$('.wind .value').html(Math.round(data['wind']['speed'] * 10) / 10);
			$('.wind .units1').html(' ' + languages.language[i].weatherInfo.windUnits.world);
		}

		$('.sunrise div').html(languages.language[i].weatherInfo.sunrise);
		$('.sunset div').html(languages.language[i].weatherInfo.sunset);
		if( lang=='english' ){
			time1 = moment.unix(data['sys']['sunrise']).format('h:mm a');
			time1arr = time1.split(' ');			
			time2 = moment.unix(data['sys']['sunset']).format('h:mm a');
			time2arr = time2.split(' ');
			$('.sunrise .value').html(time1arr[0]);
			$('.sunrise .units1').html(time1arr[1]);
			$('.sunset .value').html(time2arr[0]);
			$('.sunset .units1').html(time2arr[1]);
		} else {
			$('.sunrise .value').html( moment.unix(data['sys']['sunrise']).format('H:mm'));
			$('.sunrise .units1').empty();
			$('.sunset .value').html( moment.unix(data['sys']['sunset']).format('H:mm'));		
			$('.sunset .units1').empty();		
		}
		

		
		if(data['rain']){
			$('.rain div').html(languages.language[i].weatherInfo.rain);
			$('.rain .value').html(Math.round(data['rain']['3h'] * 100) / 100);
			$('.rain .units1').html(' '+ languages.language[i].weatherInfo.rsUnits);
			
			var divWidth = $('.rain div').width();
			var valueWidth = $('.rain .value').width();
			var unitsWidth = $('.rain .units1').width();
			var newWidth = deviceWidth - divWidth - valueWidth - 24 - 32 - 25;

			if( newWidth < unitsWidth) {
				$('.rain .units1').addClass('in-table');
				$('.rain .units1').css({'width':newWidth});
			}
			
			$('.rain').css('display','list-item');

		}else{
			$('.rain').css('display','none');
		}		
		if(data['snow']){
			$('.snow div').html(languages.language[i].weatherInfo.snow);
			$('.snow .value').html(Math.round(data['snow']['3h'] * 100) / 100);
			$('.snow .units1').html(' ' + languages.language[i].weatherInfo.rsUnits);

			var divWidth = $('.snow div').width();
			var valueWidth = $('.snow .value').width();
			var unitsWidth = $('.snow .units1').width();
			var newWidth = deviceWidth - divWidth - valueWidth - 24 - 32 - 25;

			if( newWidth < unitsWidth) {
				$('.snow .units1').addClass('in-table');
				$('.snow .units1').css({'width':newWidth});
			}

			$('.snow').css('display','list-item');

		}else{
			$('.snow').css('display','none');
		}
		$('.humidity div').html(languages.language[i].weatherInfo.humidity);
		$('.humidity .value').html(data['main']['humidity']);
		$('.humidity .units1').html(' %');
		$('.pressure div').html(languages.language[i].weatherInfo.pressure);
		if(lang == 'russian') {
			$('.pressure .value').html(Math.round(data['main']['pressure'] / 1.3332239));
		}else{
			$('.pressure .value').html(Math.round(data['main']['pressure']));
		};
		
		$('.pressure .units1').html(' ' + languages.language[i].weatherInfo.pressureUnits);
		

		
		// SETTINGS HEADERS
		$('#settings-navigation-header div').html(languages.language[i].settings);			
		$('#main-temp-header div').html(languages.language[i].mainTemp);			
		$('#units-header div').html(languages.language[i].unit);			
		$('#gender-header div').html(languages.language[i].gender);			
		$('#sensitivity-header div').html(languages.language[i].sensitivity);			
		$('#dress-code-header div').html(languages.language[i].dressCode);			
		$('#language-header div').html(languages.language[i].language);			
		$('#about-header div').html(languages.language[i].about);

		// MAIN SETTINGS MENU		
		$('.main-temp div').html(languages.language[i].mainTemp + '<br /><span>' + languages.language[i].temps[mainTemp] + '</span>');						
		$('.units div').html(languages.language[i].unit + '<br /><span>' + languages.language[i].units[units] + '</span>');						
		$('.gender div').html(languages.language[i].gender + '<br /><span>' + languages.language[i].genders[gender] + '</span>');						
		$('.sensitivity div').html(languages.language[i].sensitivity);		

		$.each(dressCode, function(index, value){
			if( index == 0 ){
				dressCodeTrans = languages.language[i].dressCodeStyle[value];
			} else {
				dressCodeTrans += ', ' + languages.language[i].dressCodeStyle[value];
			}
		});	

		if(dressCodeUndef) {
			dressCodeTrans = languages.language[i].dressCodeStyle['undefined'];
		}

		$('.dress-code div').html(languages.language[i].dressCode + '<br /><span>' + dressCodeTrans + '</span>');
		$('.language div').html(languages.language[i].language + '<br /><span>' + languages.language[i].languages[lang]  + '</span>');
		$('.faq div').html(languages.language[i].faq);	
		$('.about div').html(languages.language[i].about);
		$('.bug-report div a').html(languages.language[i].bug);	

		// TEMPERATURE SETTINGS
		$('#real div span').html(languages.language[i].temps['real']);
		$('#real-feel div span').html(languages.language[i].temps['realFeel']);
		$('#main-temp .content .info').html(languages.language[i].mainTempInfo);
	
		
		// UNITS SETTINGS
		$('#celsius div span').html(languages.language[i].units.celsius);
		$('#fahrenheit div span').html(languages.language[i].units.fahrenheit);
		
		// SENSITIVITY SETTINGS
		$('#sensitivity .content .info').html(languages.language[i].sensitivityInfo);

		// GENDER SETTINGS
		$('#undefined div span').html(languages.language[i].genders['undefined']);	
		$('#female div span').html(languages.language[i].genders['female']);	
		$('#male div span').html(languages.language[i].genders['male']);	
		
		// DRESS-CODE SETTINGS
		$('#sporty div span').html(languages.language[i].dressCodeStyle['sporty']);	
		$('#elegant div span').html(languages.language[i].dressCodeStyle['elegant']);	
		$('#casual div span').html(languages.language[i].dressCodeStyle['casual']);	
		
		// LANGUAGES
		$('#language #czech div span').html(languages.language[i].languages['czech']);	
		$('#language #english div span').html(languages.language[i].languages['english']);	
		$('#language #french div span').html(languages.language[i].languages['french']);	
		$('#language #german div span').html(languages.language[i].languages['german']);	
		$('#language #hungarian div span').html(languages.language[i].languages['hungarian']);	
		$('#language #polish div span').html(languages.language[i].languages['polish']);	
		$('#language #russian div span').html(languages.language[i].languages['russian']);	
		$('#language #slovak div span').html(languages.language[i].languages['slovak']);	

		
		// ABOUT WEARTY
		var d = new Date();
		var year = d.getFullYear();
		var lgc;

		if( lang == 'slovak' || lang == 'czech')
		{
			lgc = '/sk/';
		}
		else if( lang == 'french')
		{
			lgc = '/fr/';
		} 
		else
		{
			lgc = '/en/';
		}
		$('#about .content').html('<p class="info-logo"><img src="images/wearty-logo.svg" onerror="this.onerror=null; this.src=\'images/wearty-logo.png\'" alt="wearty clothes" /></p><p class="version">' + languages.language[i].aboutText[1] + localStorage.getItem('prevVersion') + '</p><p class="site"><a onclick="window.open(\'http://www.wearty.com'+lgc+'\', \'_system\', \'location=yes\');">www.wearty.com</a></p><p>' + languages.language[i].aboutText[2] + '</p><p>' + languages.language[i].aboutText[3] + '</p><p class="copyright">&copy; '+year+' Wearty</p>');	
		
		

	}
	
	
	// ------------------------------------------------------------------------------------
	// ------------------------------- SAVE SETTINGS ----------------------------------
	function saveSettings() {
		//alert('saveSettings');
		var dressCode = new Array();

		var lang = $( 'input[name="language"]:checked' ).val();
		
		localStorage.setItem('mainTemp',$( 'input[name="main-temp"]:checked' ).val());
		localStorage.setItem('units',$( 'input[name="units"]:checked' ).val());
		localStorage.setItem('gender',$( 'input[name="gender"]:checked' ).val());
		localStorage.setItem('sensitivity',$( 'input[name="sensitivity"]' ).val());
		$("input:checkbox[name=dress-code]:checked").each(function()
		{
			dressCode.push($(this).val());
		});
		localStorage.setItem('dressCode',JSON.stringify(dressCode));
		localStorage.setItem('language',lang);
		
			if( lang == 'czech' ){
				i = 0;
			}else if( lang == 'english' ){
				i = 1;
			}else if( lang == 'french' ){
				i = 2;
			}else if( lang == 'german' ){
				i = 3;
			}else if( lang == 'hungarian' ){
				i = 4;			
			}else if( lang == 'polish' ){
				i = 5;			
			}else if( lang == 'russian' ){
				i = 6;
			}else{
				i = 7;
			}

			localStorage.setItem('languageCode',i);

	}
	
	
	// --------------------------------------------------------------------------------------
	// ------------------------- SET STORAGE SETTINGS --------------------------------
	function setSettings(phoneLang, online) {
	
		var langCode, curVersion, prevVersion, isOnline, appRun;
		//alert('jazyk: '+phoneLang);
		
		if(window.localStorage.length){	

			localStorage.setItem('curVersion','1.0.0');
			localStorage.setItem('online',online);
			isOnline = localStorage.getItem('online');
			curVersion = 1;
			prevVersion = localStorage.getItem('prevVersion');
			prevVersion = parseInt(prevVersion.substr(0,1));


			if(localStorage.getItem('onboarding') == 'true') {
			
				onboarding();

			} else if(curVersion > prevVersion) { 

				// preparation for what is new intro
				if(isOnline == 'true'){
					getPosition();
				}
				$("#onboarding").css({'display' : 'none'});

			} else {
	
				$("#onboarding").css({'display' : 'none'});
				if(isOnline == 'true'){
					getPosition();

					//APP RATING LOGIC
					appRun = parseInt(localStorage.getItem('appRun'));
					++appRun;
					localStorage.setItem('appRun', appRun);

					if(appRun == 20){
						showAppRate();
					}

				}
				
			
			}
			
			var dressCode = JSON.parse(localStorage["dressCode"]);
		
			$('input[value="'+ localStorage.getItem('mainTemp') +'"]').prop('checked', true);
			$('input[value="'+ localStorage.getItem('units') +'"]').prop('checked', true);
			$('input[value="'+ localStorage.getItem('gender') +'"]').prop('checked', true);
			$('input[name="sensitivity"]').val(localStorage.getItem('sensitivity'));
			$.each(dressCode, function(index, value){
				$('input[value="'+ value +'"]').prop('checked', true);
			});
			$('input[value="'+ localStorage.getItem('language') +'"]').prop('checked', true);
			
		} else {

			localStorage.setItem('curVersion','1.0.0');
			localStorage.setItem('prevVersion','1.0.0');
			localStorage.setItem('online',online);
			localStorage.setItem('appRun',0);
			localStorage.setItem('source','http://api.openweathermap.org/data/2.5/weather?units=metric&APPID=048924fd67f447135abe153a663301dc');

			$('input[value="real"]').prop('checked', true);
			$("input:checkbox[name=dress-code]").each(function()
			{
				$(this).prop('checked', true);
			});
			$('input[name="sensitivity"]').val(0);
			$('input[value="undefined"]').prop('checked', true);
			
//alert('jazyk2: '+ phoneLang);
			if( phoneLang == 'de-CH' || phoneLang == 'de-LU' ||  phoneLang == 'de-DE' ||  phoneLang == 'de-AT' ||  phoneLang == 'de-LI'  ) {
				phoneLang = 'german';
				langCode = 3;
			} else if( phoneLang == 'fr-FR' || phoneLang == 'fr-LU' || phoneLang == 'fr-CA' ||  phoneLang == 'fr-BE' ||  phoneLang == 'fr-CH' ){
				phoneLang = 'french';
				langCode = 2;
			} else if( phoneLang == 'ru-RU' || phoneLang == 'ru-MO'){
				phoneLang = 'russian';
				langCode = 6;
			} else if ( phoneLang == 'cs-CZ') {
				phoneLang = 'czech';
				langCode = 0;	
			} else if ( phoneLang == 'hu-HU') {
				phoneLang = 'hungarian';
				langCode = 4;				
			} else if ( phoneLang == 'pl-PL') {
				phoneLang = 'polish';
				langCode = 5;			
			} else if ( phoneLang == 'sk-SK' ) {
				phoneLang = 'slovak';
				langCode = 7;
			} else {
				phoneLang = 'english';
				langCode = 1;
			}
			
			//alert('jazyk3: '+ phoneLang);
			
			if( phoneLang == 'german' || phoneLang == 'french' || phoneLang == 'czech' || phoneLang == 'slovak' || phoneLang == 'russian') {
				localStorage.setItem('phoneLang',phoneLang);
				$('input[value="'+ phoneLang +'"]').prop('checked', true);
				$('input[value="celsius"]').prop('checked', true);
			} else {
				localStorage.setItem('phoneLang',phoneLang);
				$('input[value="english"]').prop('checked', true);
				$('input[value="fahrenheit"]').prop('checked', true);
			} 
			
			localStorage.setItem('languageCode',langCode);			
			localStorage.setItem('onboarding',true);	 
			localStorage.setItem('onboardingSettings',true);	 
			localStorage.setItem('whatIsNew',false);	 	 
			

			onboarding();

//alert('setsetings onboarding');


		}

	}

	// -------------------------------------------------------------------
	// ------------------ ONBOARDING NAVIGATION --------------------
	
	function onboarding(){
	
		var i, j;
		
		//DETECT LANGUAGE
		i = parseInt(localStorage.getItem('languageCode'));
		//alert('onboarding langCode '+i);

		//alert('onboarding');
		
		$('#onboarding .navigation').html('<span class="icon icon-arrow-left-light"></span> ' + languages.language[i].onboarding.swipe);
		$('#onboarding .go-to-wearty').html(languages.language[i].onboarding.go);
		
		for ( j = 1; j < 5; j++ ) {
		
			$('#onboarding .intro' + j + ' img').attr('src', 'images/intro' + j +'.jpg');
			$('#onboarding .intro' + j + ' img').attr('alt', languages.language[i].onboarding.intro[j].title);
			$('#onboarding .intro' + j + ' h1').html(languages.language[i].onboarding.intro[j].title);
			$('#onboarding .intro' + j + ' p').html(languages.language[i].onboarding.intro[j].text);
		
		}

		
		//HIDE MAIN SCREEN
		$('#main, #weather-icon, #weather-temp, #main-header').css({'opacity' : 0});
		$('#onboarding').css({'display':'block', 'z-index':8})
		
		//alert('end onboarding');

	}
	

	 // --------------------------------------------------------------------------------	 
	 // -------------------------- SHOW APP RATING --------------------------------

	 function showAppRate() {

	 	var i;
	 	i = parseInt(localStorage.getItem('languageCode'));

		function onConfirm(buttonIndex) {

			if(buttonIndex == 3){
				window.open('https://play.google.com/store/apps/details?id=com.wearty', '_system', 'location=yes');
			} else if(buttonIndex == 2){
				localStorage.setItem('appRun',10);
			}
			
		};

		navigator.notification.confirm(
			languages.language[i].appRate.message, 
			onConfirm,           
			languages.language[i].appRate.title,
			[languages.language[i].appRate.no, languages.language[i].appRate.later, languages.language[i].appRate.rate]  
		);

	 }

